'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

exports.hmset = hmset;

var _es6Map = require('es6-map');

var _es6Map2 = _interopRequireDefault(_es6Map);

var _utils = require('ioredis/lib/utils');

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function hmset(key) {
  if (!this.data.has(key)) {
    this.data.set(key, {});
  }

  var hmsetData = [];

  for (var _len = arguments.length, args = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    args[_key - 1] = arguments[_key];
  }

  if (args.length === 1) {
    if (args[0] instanceof _es6Map2.default) {
      hmsetData = _utils2.default.convertMapToArray(args[0]);
    } else if (_typeof(args[0]) === 'object' && args[0] !== null) {
      hmsetData = _utils2.default.convertObjectToArray(args[0]);
    }
  } else {
    hmsetData = args;
  }

  var hash = this.data.get(key);
  for (var i = 0; i < hmsetData.length; i += 2) {
    hash[hmsetData[i]] = hmsetData[i + 1];
  }

  this.data.set(key, hash);

  return 'OK';
}